Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ModalPanelTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ModalPanelTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ModalPanelTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ModalPanelTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAutosized(javax.el.ValueExpression __autosized)` If "true" modalPanel should be autosizeable.
`void` | `setControlsClass(javax.el.ValueExpression __controlsClass)` Assigns one or more space-separated CSS class names to the component controls Setter for controlsClass
`void` | `setDomElementAttachment(javax.el.ValueExpression __domElementAttachment)` Defines the DOM element, which stacking context will assimilate the modalPanel.
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Assigns one or more space-separated CSS class names to the component header Setter for headerClass
`void` | `setHeight(javax.el.ValueExpression __height)` Attribute defines height of component.
`void` | `setKeepVisualState(javax.el.ValueExpression __keepVisualState)` If "true" modalPanel should save state after submission.
`void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
`void` | `setLeft(javax.el.ValueExpression __left)` Attribute defines X position of component left-top corner.
`void` | `setMinHeight(javax.el.ValueExpression __minHeight)` Attribute defines min height of component.
`void` | `setMinWidth(javax.el.ValueExpression __minWidth)` Attribute defines min width of component.
`void` | `setMoveable(javax.el.ValueExpression __moveable)` If "true" there is possibility to move component.
`void` | `setOnbeforehide(javax.el.ValueExpression __onbeforehide)` The client-side script method to be called before the modal panel is hidden Setter for onbeforehide
`void` | `setOnbeforeshow(javax.el.ValueExpression __onbeforeshow)` The client-side script method to be called before the modal panel is opened Setter for onbeforeshow
`void` | `setOnhide(javax.el.ValueExpression __onhide)` The client-side script method to be called after the modal panel is hidden Setter for onhide
`void` | `setOnmaskclick(javax.el.ValueExpression __onmaskclick)` The client-side script method to be called when a left mouse button is clicked outside the modal panel Setter for onmaskclick
`void` | `setOnmaskcontextmenu(javax.el.ValueExpression __onmaskcontextmenu)` The client-side script method to be called when a right mouse button is clicked outside the modal panel Setter for onmaskcontextmenu
`void` | `setOnmaskdblclick(javax.el.ValueExpression __onmaskdblclick)` The client-side script method to be called when a left mouse button is double-clicked outside the modal panel Setter for onmaskdblclick
`void` | `setOnmaskmousedown(javax.el.ValueExpression __onmaskmousedown)` The client-side script method to be called when a mouse button is pressed down outside the modal panel Setter for onmaskmousedown
`void` | `setOnmaskmousemove(javax.el.ValueExpression __onmaskmousemove)` The client-side script method to be called when a pointer is moved outside the modal panel Setter for onmaskmousemove
`void` | `setOnmaskmouseout(javax.el.ValueExpression __onmaskmouseout)` The client-side script method to be called when a pointer is moved away from the modal panel Setter for onmaskmouseout
`void` | `setOnmaskmouseover(javax.el.ValueExpression __onmaskmouseover)` The client-side script method to be called when a pointer is moved onto the modal panel Setter for onmaskmouseover
`void` | `setOnmaskmouseup(javax.el.ValueExpression __onmaskmouseup)` The client-side script method to be called when a mouse button is released outside the modal panel Setter for onmaskmouseup
`void` | `setOnmove(javax.el.ValueExpression __onmove)` The client-side script method to be called before the modal panel is moved Setter for onmove
`void` | `setOnresize(javax.el.ValueExpression __onresize)` The client-side script method to be called when the modal panel is resized Setter for onresize
`void` | `setOnshow(javax.el.ValueExpression __onshow)` The client-side script method to be called when the modal panel is displayed Setter for onshow
`void` | `setOverlapEmbedObjects(javax.el.ValueExpression __overlapEmbedObjects)` If "true" modalPanel creates iframe to overlap embed objects like PDF on a page.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setResizeable(javax.el.ValueExpression __resizeable)` If "true" there is possibility to change component size.
`void` | `setShadowDepth(javax.el.ValueExpression __shadowDepth)` Pop-up shadow depth for suggestion content Setter for shadowDepth
`void` | `setShadowOpacity(javax.el.ValueExpression __shadowOpacity)` HTML CSS class attribute of element for pop-up suggestion content Setter for shadowOpacity
`void` | `setShowWhenRendered(javax.el.ValueExpression __showWhenRendered)` If "true" value for this attribute makes a modal panel opened as default.
`void` | `setTop(javax.el.ValueExpression __top)` Attribute defines Y position of component left-top corner.
`void` | `setTridentIVEngineSelectBehavior(javax.el.ValueExpression __tridentIVEngineSelectBehavior)` How to handle HTML SELECT-based controls in IE 6? - "disable" - default, handle as usual, use disabled="true" to hide SELECT controls - "hide" - use visibility="hidden" to hide SELECT controls Setter for tridentIVEngineSelectBehavior
`void` | `setTrimOverlayedElements(javax.el.ValueExpression __trimOverlayedElements)` Defines whether to trim or not elements inside modalPanel.
`void` | `setVisualOptions(javax.el.ValueExpression __visualOptions)` Defines options that were specified on the client side Setter for visualOptions
`void` | `setWidth(javax.el.ValueExpression __width)` Attribute defines width of component.
`void` | `setZindex(javax.el.ValueExpression __zindex)` Attribute is similar to the standard HTML attribute and can specify window.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ModalPanelTag

    public ModalPanelTag()

Method Detail

### setAutosized

    public void setAutosized(javax.el.ValueExpression __autosized)

  If "true" modalPanel should be autosizeable. Default value is "false". Setter for autosized

  Parameters:
    `autosized` - - new value

### setControlsClass

    public void setControlsClass(javax.el.ValueExpression __controlsClass)

  Assigns one or more space-separated CSS class names to the component controls Setter for controlsClass

  Parameters:
    `controlsClass` - - new value

### setDomElementAttachment

    public void setDomElementAttachment(javax.el.ValueExpression __domElementAttachment)

  Defines the DOM element, which stacking context will assimilate the modalPanel. Possible values: "body", "form", "parent". Default value is "body". Setter for domElementAttachment

  Parameters:
    `domElementAttachment` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  Assigns one or more space-separated CSS class names to the component header Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setHeight

    public void setHeight(javax.el.ValueExpression __height)

  Attribute defines height of component. Default value is "300". Setter for height

  Parameters:
    `height` - - new value

### setKeepVisualState

    public void setKeepVisualState(javax.el.ValueExpression __keepVisualState)

  If "true" modalPanel should save state after submission. Default value is "false". Setter for keepVisualState

  Parameters:
    `keepVisualState` - - new value

### setLabel

    public void setLabel(javax.el.ValueExpression __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### setLeft

    public void setLeft(javax.el.ValueExpression __left)

  Attribute defines X position of component left-top corner. Default value is "auto". Setter for left

  Parameters:
    `left` - - new value

### setMinHeight

    public void setMinHeight(javax.el.ValueExpression __minHeight)

  Attribute defines min height of component. Default value is "10". If the value is less then 10, a "IllegalArgumentException" exception is thrown. Setter for minHeight

  Parameters:
    `minHeight` - - new value

### setMinWidth

    public void setMinWidth(javax.el.ValueExpression __minWidth)

  Attribute defines min width of component. Default value is "10". If the value is less then 10, a "IllegalArgumentException" exception is thrown. Setter for minWidth

  Parameters:
    `minWidth` - - new value

### setMoveable

    public void setMoveable(javax.el.ValueExpression __moveable)

  If "true" there is possibility to move component. Default value is "true". Setter for moveable

  Parameters:
    `moveable` - - new value

### setOnbeforehide

    public void setOnbeforehide(javax.el.ValueExpression __onbeforehide)

  The client-side script method to be called before the modal panel is hidden Setter for onbeforehide

  Parameters:
    `onbeforehide` - - new value

### setOnbeforeshow

    public void setOnbeforeshow(javax.el.ValueExpression __onbeforeshow)

  The client-side script method to be called before the modal panel is opened Setter for onbeforeshow

  Parameters:
    `onbeforeshow` - - new value

### setOnhide

    public void setOnhide(javax.el.ValueExpression __onhide)

  The client-side script method to be called after the modal panel is hidden Setter for onhide

  Parameters:
    `onhide` - - new value

### setOnmaskclick

    public void setOnmaskclick(javax.el.ValueExpression __onmaskclick)

  The client-side script method to be called when a left mouse button is clicked outside the modal panel Setter for onmaskclick

  Parameters:
    `onmaskclick` - - new value

### setOnmaskcontextmenu

    public void setOnmaskcontextmenu(javax.el.ValueExpression __onmaskcontextmenu)

  The client-side script method to be called when a right mouse button is clicked outside the modal panel Setter for onmaskcontextmenu

  Parameters:
    `onmaskcontextmenu` - - new value

### setOnmaskdblclick

    public void setOnmaskdblclick(javax.el.ValueExpression __onmaskdblclick)

  The client-side script method to be called when a left mouse button is double-clicked outside the modal panel Setter for onmaskdblclick

  Parameters:
    `onmaskdblclick` - - new value

### setOnmaskmousedown

    public void setOnmaskmousedown(javax.el.ValueExpression __onmaskmousedown)

  The client-side script method to be called when a mouse button is pressed down outside the modal panel Setter for onmaskmousedown

  Parameters:
    `onmaskmousedown` - - new value

### setOnmaskmousemove

    public void setOnmaskmousemove(javax.el.ValueExpression __onmaskmousemove)

  The client-side script method to be called when a pointer is moved outside the modal panel Setter for onmaskmousemove

  Parameters:
    `onmaskmousemove` - - new value

### setOnmaskmouseout

    public void setOnmaskmouseout(javax.el.ValueExpression __onmaskmouseout)

  The client-side script method to be called when a pointer is moved away from the modal panel Setter for onmaskmouseout

  Parameters:
    `onmaskmouseout` - - new value

### setOnmaskmouseover

    public void setOnmaskmouseover(javax.el.ValueExpression __onmaskmouseover)

  The client-side script method to be called when a pointer is moved onto the modal panel Setter for onmaskmouseover

  Parameters:
    `onmaskmouseover` - - new value

### setOnmaskmouseup

    public void setOnmaskmouseup(javax.el.ValueExpression __onmaskmouseup)

  The client-side script method to be called when a mouse button is released outside the modal panel Setter for onmaskmouseup

  Parameters:
    `onmaskmouseup` - - new value

### setOnmove

    public void setOnmove(javax.el.ValueExpression __onmove)

  The client-side script method to be called before the modal panel is moved Setter for onmove

  Parameters:
    `onmove` - - new value

### setOnresize

    public void setOnresize(javax.el.ValueExpression __onresize)

  The client-side script method to be called when the modal panel is resized Setter for onresize

  Parameters:
    `onresize` - - new value

### setOnshow

    public void setOnshow(javax.el.ValueExpression __onshow)

  The client-side script method to be called when the modal panel is displayed Setter for onshow

  Parameters:
    `onshow` - - new value

### setOverlapEmbedObjects

    public void setOverlapEmbedObjects(javax.el.ValueExpression __overlapEmbedObjects)

  If "true" modalPanel creates iframe to overlap embed objects like PDF on a page. Default value is "false". Setter for overlapEmbedObjects

  Parameters:
    `overlapEmbedObjects` - - new value

### setResizeable

    public void setResizeable(javax.el.ValueExpression __resizeable)

  If "true" there is possibility to change component size. Default value is "true". Setter for resizeable

  Parameters:
    `resizeable` - - new value

### setShadowDepth

    public void setShadowDepth(javax.el.ValueExpression __shadowDepth)

  Pop-up shadow depth for suggestion content Setter for shadowDepth

  Parameters:
    `shadowDepth` - - new value

### setShadowOpacity

    public void setShadowOpacity(javax.el.ValueExpression __shadowOpacity)

  HTML CSS class attribute of element for pop-up suggestion content Setter for shadowOpacity

  Parameters:
    `shadowOpacity` - - new value

### setShowWhenRendered

    public void setShowWhenRendered(javax.el.ValueExpression __showWhenRendered)

  If "true" value for this attribute makes a modal panel opened as default. Default value is "false" Setter for showWhenRendered

  Parameters:
    `showWhenRendered` - - new value

### setTop

    public void setTop(javax.el.ValueExpression __top)

  Attribute defines Y position of component left-top corner. Default value is "auto". Setter for top

  Parameters:
    `top` - - new value

### setTridentIVEngineSelectBehavior

    public void setTridentIVEngineSelectBehavior(javax.el.ValueExpression __tridentIVEngineSelectBehavior)

  How to handle HTML SELECT-based controls in IE 6? - "disable" - default, handle as usual, use disabled="true" to hide SELECT controls - "hide" - use visibility="hidden" to hide SELECT controls Setter for tridentIVEngineSelectBehavior

  Parameters:
    `tridentIVEngineSelectBehavior` - - new value

### setTrimOverlayedElements

    public void setTrimOverlayedElements(javax.el.ValueExpression __trimOverlayedElements)

  Defines whether to trim or not elements inside modalPanel. Default value is "true" Setter for trimOverlayedElements

  Parameters:
    `trimOverlayedElements` - - new value

### setVisualOptions

    public void setVisualOptions(javax.el.ValueExpression __visualOptions)

  Defines options that were specified on the client side Setter for visualOptions

  Parameters:
    `visualOptions` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  Attribute defines width of component. Default value is "200". Setter for width

  Parameters:
    `width` - - new value

### setZindex

    public void setZindex(javax.el.ValueExpression __zindex)

  Attribute is similar to the standard HTML attribute and can specify window. Default value is "100". placement relative to the content Setter for zindex

  Parameters:
    `zindex` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.